Categories:
  - Writing
License: GPL-3.0-or-later
WebSite: https://github.com/osfans/trime
SourceCode: https://github.com/osfans/trime
IssueTracker: https://github.com/osfans/trime/issues
Donate: https://raw.githubusercontent.com/osfans/trime/develop/osfans_alipay.png

AutoName: Trime

RepoType: git
Repo: https://github.com/osfans/trime

Builds:
  - versionName: 3.1.2
    versionCode: 20181224
    commit: 3.1.2
    subdir: app
    submodules: true
    gradle:
      - yes
    scandelete:
      - app/src/main/jni/libiconv/tests
      - app/src/main/jni/librime/thirdparty/bin/curl.exe
      - app/src/main/jni/boost/libs/fiber/examples/cuda/single_stream
      - app/src/main/jni/boost/libs/fiber/examples/cuda/multiple_streams

  - versionName: 3.1.3
    versionCode: 20181226
    commit: 3.1.3
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: $ANDROID_HOME/tools/bin/sdkmanager 'cmake;3.10.2.4988404'
    scandelete:
      - app/src/main/jni/libiconv/tests
      - app/src/main/jni/librime/thirdparty/bin/curl.exe
      - app/src/main/jni/boost/libs/fiber/examples/cuda/single_stream
      - app/src/main/jni/boost/libs/fiber/examples/cuda/multiple_streams
    ndk: r20

  - versionName: 3.2.0
    versionCode: 20210604
    commit: v3.2.0
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get -y install g++
      - pushd build/srclib/capnproto/c++
      - autoreconf -i
      - ./configure
      - make -j`nproc` check
      - make install
      - popd
    gradle:
      - yes
    srclibs:
      - capnproto@v0.8.0
    prebuild: $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1' > /dev/null
    scandelete:
      - app/src/main/jni
    ndk: r22b

  - versionName: 3.2.2
    versionCode: 20210813
    commit: 0c588c11aacf174b11324158a8f7eb971ced33be
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get -y install --no-install-recommends g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
      - pushd build/srclib/capnproto/c++
      - autoreconf -i
      - ./configure
      - make -j`nproc` check
      - make install
      - popd
    gradle:
      - yes
    srclibs:
      - capnproto@v0.8.0
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e "/maven.aliyun.com/d" ../build.gradle
    scandelete:
      - app/src/main/jni
    ndk: r23

  - versionName: 3.2.3
    versionCode: 20211002
    commit: 8ea42b889aadc7c9268f88846df8f5487d32dae9
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get -y install g++ openjdk-11-jdk
      - update-alternatives --auto java
      - pushd build/srclib/capnproto/c++
      - autoreconf -i
      - ./configure
      - make -j`nproc` check
      - make install
      - popd
    gradle:
      - yes
    srclibs:
      - capnproto@v0.8.0
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
        'cmake;3.18.1' > /dev/null
    scandelete:
      - app/src/main/jni
    ndk: r23

  - versionName: 3.2.4
    versionCode: 20211130
    commit: d35d85039dd632aaa3bb99915fd0c5c5fe41a833
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get -y install g++ openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    srclibs:
      - capnproto@v0.9.1
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.10.2.4988404'
        > /dev/null
      - sed -i -e '/set.CMAKE_MODULE_PATH/a\set(CMAKE_PREFIX_PATH "$$capnproto$$/c++")'
        src/main/jni/CMakeLists.txt
      - sed -i -e '/Enables building multiple APKs per ABI/,/enable true/d' build.gradle
    scandelete:
      - app/src/main/jni
    build:
      - cd $$capnproto$$/c++
      - autoreconf -i
      - ./configure --prefix="$PWD"
      - make -j$(nproc)
      - make install
    ndk: r23b

  - versionName: 3.2.5
    versionCode: 20220201
    commit: 426546e347a11709f6a5d60794661b017400a363
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get -y install g++ openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    srclibs:
      - capnproto@v0.9.1
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.10.2.4988404'
        > /dev/null
      - sed -i -e '/set.CMAKE_MODULE_PATH/a\set(CMAKE_PREFIX_PATH "$$capnproto$$/c++")'
        src/main/jni/CMakeLists.txt
      - sed -i -e '/Enables building multiple APKs per ABI/,/enable true/d' build.gradle
    scandelete:
      - app/src/main/jni
    build:
      - cd $$capnproto$$/c++
      - autoreconf -i
      - ./configure --prefix="$PWD"
      - make -j$(nproc)
      - make install
    ndk: r23b

  - versionName: 3.2.6
    versionCode: 20220401
    commit: 71fce4ad10505ed51594a54343551bcc223049d8
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get -y install g++ openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    srclibs:
      - capnproto@v0.9.1
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.10.2.4988404'
        > /dev/null
      - sed -i -e '/set.CMAKE_MODULE_PATH/a\set(CMAKE_PREFIX_PATH "$$capnproto$$/c++")'
        src/main/jni/CMakeLists.txt
      - sed -i -e '/Enables building multiple APKs per ABI/,/enable true/d' build.gradle
    scandelete:
      - app/src/main/jni
    build:
      - cd $$capnproto$$/c++
      - autoreconf -i
      - ./configure --prefix="$PWD"
      - make -j$(nproc)
      - make install
    ndk: r23b

  - versionName: 3.2.7
    versionCode: 20220701
    commit: 68de0c649e5fe6889f1948a59fc84a50866a6416
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get -y install g++ openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.10.2.4988404'
        > /dev/null
      - sed -i -e '/set.CMAKE_MODULE_PATH/a\set(CMAKE_PREFIX_PATH "${CMAKE_CURRENT_SOURCE_DIR}/capnproto/c++")'
        src/main/jni/CMakeLists.txt
      - sed -i -e '/Enables building multiple APKs per ABI/,/enable true/d' build.gradle
    scanignore:
      - app/src/main/jni/capnproto/c++/src/capnp/testdata
    scandelete:
      - app/src/main/jni
    build:
      - cd src/main/jni/capnproto/c++
      - autoreconf -i
      - ./configure --prefix="$PWD"
      - make -j$(nproc)
      - make install
    ndk: r24

  - versionName: 3.2.8
    versionCode: 20220901
    commit: 33c348734acd842197ffb4c1701e18376abb7948
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get -y install g++ openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.10.2.4988404'
        > /dev/null
      - sed -i -e '/set.CMAKE_MODULE_PATH/a\set(CMAKE_PREFIX_PATH "${CMAKE_CURRENT_SOURCE_DIR}/capnproto/c++")'
        src/main/jni/CMakeLists.txt
      - sed -i -e '/Enables building multiple APKs per ABI/,/enable true/d' build.gradle
    scanignore:
      - app/src/main/jni/capnproto/c++/src/capnp/testdata
    scandelete:
      - app/src/main/jni
    build:
      - cd src/main/jni/capnproto/c++
      - autoreconf -i
      - ./configure --prefix="$PWD"
      - make -j$(nproc)
      - make install
    ndk: r24

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 3.2.8
CurrentVersionCode: 20220901
